Tjar
  1. Products
Tjar
  • Orders
    • List Orders
      GET
    • Get Order Details
      GET
    • Create Order
      POST
    • Change Order Status
      POST
    • Edit Order
      POST
  • Products
    • Products
      GET
    • Get Product Details
      GET
    • Create Product
      POST
  1. Products

Get Product Details

Developing
GET
/products/{identifier}
Last modified:2026-02-26 01:16:28
Get a specific product details by Identifier.

Request

Path Params

Header Params

Responses

🟢200Success
application/json
Body

🟠404Not Found
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET '/products/189' \
--header 'Accept: application/json' \
--header 'Accept-Language: {{lang}}'
Response Response Example
200 - OK
{
    "status": "success",
    "message": "تم استرجاع تفاصيل المنتج بنجاح",
    "data": {
        "id": 189,
        "identifier": 189,
        "name": {
            "ar": "حذاء رياضي نايك",
            "en": "Nike Sports Shoe"
        },
        "summary": {
            "ar": "حذاء رياضي مريح وأنيق",
            "en": "Comfortable and stylish sports shoe"
        },
        "description": {
            "ar": "<p>وصف تفصيلي للحذاء الرياضي بمواد عالية الجودة</p>",
            "en": "<p>Detailed description of the sports shoe with high quality materials</p>"
        },
        "type": "مادي",
        "price": 79.99,
        "sale_price": 49.99,
        "is_refundable": true,
        "min_purchase": 1,
        "max_purchase": 5,
        "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/logo-default1764072374.png",
        "is_published": true,
        "ratings": null,
        "created_at": "2026-02-26 04:13:16",
        "updated_at": "2026-02-26 04:13:16",
        "product_options": [
            {
                "title": {
                    "ar": "الاسم",
                    "en": "Name"
                },
                "subTitle": {
                    "ar": "",
                    "en": ""
                },
                "type": "text",
                "isRequired": false
            },
            {
                "title": {
                    "ar": "المقاس",
                    "en": "Size"
                },
                "subTitle": {
                    "ar": "",
                    "en": ""
                },
                "type": "number",
                "isRequired": false
            },
            {
                "title": {
                    "ar": "ملاحظات",
                    "en": "Notes"
                },
                "subTitle": {
                    "ar": "",
                    "en": ""
                },
                "type": "textarea",
                "isRequired": false
            },
            {
                "title": {
                    "ar": "اللون",
                    "en": "Color"
                },
                "subTitle": {
                    "ar": "",
                    "en": ""
                },
                "type": "checkbox",
                "isRequired": false,
                "multiSelect": true,
                "options": {
                    "ar": {
                        "أزرق": 5,
                        "أحمر": 4,
                        "أبيض": 0
                    },
                    "en": {
                        "Blue": 5,
                        "Red": 4,
                        "White": 0
                    }
                }
            },
            {
                "title": {
                    "ar": "الحجم",
                    "en": "Size"
                },
                "subTitle": {
                    "ar": "",
                    "en": ""
                },
                "type": "radio",
                "isRequired": true,
                "multiSelect": false,
                "options": {
                    "ar": {
                        "صغير": 0,
                        "وسط": 0,
                        "كبير": 0,
                        "كبير جداً": 10
                    },
                    "en": {
                        "S": 0,
                        "M": 0,
                        "L": 0,
                        "XL": 10
                    }
                }
            }
        ],
        "brand": {
            "id": 1,
            "title": "",
            "name": {
                "ar": "Brand A",
                "en": "Brand A"
            },
            "description": {
                "ar": "Brand A",
                "en": "Brand A"
            },
            "logo": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/download1748277198.jpg",
            "banner": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/download1748277198.jpg"
        },
        "tags": [
            {
                "id": 276,
                "tag_name": "Nike"
            },
            {
                "id": 277,
                "tag_name": "Sports"
            },
            {
                "id": 278,
                "tag_name": "Shoes"
            },
            {
                "id": 279,
                "tag_name": "Running"
            }
        ],
        "categories": [
            {
                "id": 1,
                "name": {
                    "ar": "Elektronik",
                    "en": "Elektronik"
                },
                "description": {
                    "ar": "Elektronik",
                    "en": "Elektronik"
                },
                "image": "http://b56tf.store.test/assets/img/no-image.jpg"
            },
            {
                "id": 1,
                "name": {
                    "ar": "Elektronik",
                    "en": "Elektronik"
                },
                "description": {
                    "ar": "Elektronik",
                    "en": "Elektronik"
                },
                "image": "http://b56tf.store.test/assets/img/no-image.jpg"
            }
        ],
        "sub_categories": [
            {
                "id": 1,
                "name": {
                    "ar": "Ebook",
                    "en": "Ebook"
                },
                "description": {
                    "ar": "Ebook",
                    "en": "Ebook"
                },
                "image": "http://b56tf.store.test/assets/img/no-image.jpg"
            },
            {
                "id": 2,
                "name": {
                    "ar": "Video Tutorial",
                    "en": "Video Tutorial"
                },
                "description": {
                    "ar": "",
                    "en": ""
                },
                "image": "http://b56tf.store.test/assets/img/no-image.jpg"
            }
        ],
        "child_categories": [
            {
                "id": 1,
                "name": {
                    "ar": "Pengetahuan Umum",
                    "en": "Pengetahuan Umum"
                },
                "description": "",
                "image": "http://b56tf.store.test/assets/img/no-image.jpg"
            }
        ],
        "inventory": {
            "id": 176,
            "sku": "NIKE-SHOE-001",
            "stock_count": 130,
            "sold_count": 0,
            "inventory_details": [
                {
                    "id": 193,
                    "color": {
                        "id": 1,
                        "code": "#ff3838",
                        "name": {
                            "ar": "Red",
                            "en": "Red"
                        }
                    },
                    "size": null,
                    "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/logo-default1764072374.png",
                    "additional_price": 0,
                    "additional_cost": 0,
                    "stock_count": 30,
                    "sold_count": 0,
                    "attributes": [
                        {
                            "id": 365,
                            "name": "Material",
                            "value": "Leather"
                        },
                        {
                            "id": 366,
                            "name": "Season",
                            "value": "Summer"
                        }
                    ]
                },
                {
                    "id": 194,
                    "color": {
                        "id": 4,
                        "code": "#ffffff",
                        "name": {
                            "ar": "White",
                            "en": "White"
                        }
                    },
                    "size": null,
                    "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/logo-default1764072374.png",
                    "additional_price": 5,
                    "additional_cost": 2,
                    "stock_count": 25,
                    "sold_count": 0,
                    "attributes": [
                        {
                            "id": 367,
                            "name": "Material",
                            "value": "Leather"
                        },
                        {
                            "id": 368,
                            "name": "Season",
                            "value": "Summer"
                        }
                    ]
                },
                {
                    "id": 195,
                    "color": {
                        "id": 5,
                        "code": "#0984e3",
                        "name": {
                            "ar": "Blue",
                            "en": "Blue"
                        }
                    },
                    "size": null,
                    "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/logo-default1764072374.png",
                    "additional_price": 0,
                    "additional_cost": 0,
                    "stock_count": 40,
                    "sold_count": 0,
                    "attributes": [
                        {
                            "id": 369,
                            "name": "Material",
                            "value": "Mesh"
                        },
                        {
                            "id": 370,
                            "name": "Season",
                            "value": "Summer"
                        }
                    ]
                },
                {
                    "id": 196,
                    "color": {
                        "id": 5,
                        "code": "#0984e3",
                        "name": {
                            "ar": "Blue",
                            "en": "Blue"
                        }
                    },
                    "size": null,
                    "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/logo-default1764072374.png",
                    "additional_price": 5,
                    "additional_cost": 2,
                    "stock_count": 35,
                    "sold_count": 0,
                    "attributes": [
                        {
                            "id": 371,
                            "name": "Material",
                            "value": "Mesh"
                        },
                        {
                            "id": 372,
                            "name": "Season",
                            "value": "Summer"
                        }
                    ]
                }
            ]
        },
        "delivery_options": [
            {
                "id": 1,
                "icon": "las la-gift",
                "title": {
                    "ar": "التسليم المقدر",
                    "en": "التسليم المقدر"
                },
                "sub_title": {
                    "ar": "خلال 4 أيام",
                    "en": "خلال 4 أيام"
                }
            },
            {
                "id": 2,
                "icon": "las la-gift",
                "title": {
                    "ar": "الشحن مجاني",
                    "en": "الشحن مجاني"
                },
                "sub_title": {
                    "ar": "عند الطلب بأكثر من 100 ريال",
                    "en": "عند الطلب بأكثر من 100 ريال"
                }
            }
        ],
        "gallery": [
            {
                "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/logo-default1764072374.png"
            },
            {
                "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/logo-default1764072374.png"
            },
            {
                "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/logo-default1764072374.png"
            },
            {
                "image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/logo-default1764072374.png"
            }
        ],
        "meta_data": {
            "id": 170,
            "title": "Nike Sports Shoe | Best Price",
            "description": "Buy the best Nike sports shoes at unbeatable prices",
            "image": "http://b56tf.store.test/assets/img/no-image.jpg",
            "fb_title": "Nike Sports Shoe — Great Deal",
            "fb_description": "Premium Nike sports shoes at the best prices. Shop now!",
            "fb_image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/logo-default1764072374.png",
            "tw_title": "Nike Sports Shoe",
            "tw_description": "Get your Nike sports shoes today at amazing prices!",
            "tw_image": "http://b56tf.store.test/assets/tenant/uploads/media-uploader/b56tf/logo-default1764072374.png"
        },
        "digital_meta_data": null
    }
}
Modified at 2026-02-26 01:16:28
Previous
Products
Next
Create Product
Built with